Subject: Re: bug#23276: 25.0.92; Crash in auto-revert when file no longer present

From: Michael Albinus <[email-masked]>
Date: Sat, 16 Apr 2016 23:30:49 +0200

Anders Lindgren <[email-masked]> writes:

> I think disabling auto-revert mode is not correct way to handle this -
> - the file might be temporary removed by, say, a version control
> system and might reappear a moment later, in which case we want it to
> be reverted into Emacs.

I've just checked: the current implementation deactivates auto-revert-mode
already in this case. At least file notification is disabled (due to the
`deleted' file notification event). Polling shall still be work, to be checked.

> -- Anders

Best regards, Michael.